For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Evaluations
      • POSTCreate Evaluation
      • POSTAdd Evaluators
      • DELRemove Evaluator
      • GETGet Evaluation
      • DELDelete Evaluation
      • GETList Runs for Evaluation
      • POSTCreate Run
      • POSTAdd Existing Run
      • DELRemove Run
      • PATCHUpdate Evaluation Run
      • POSTAdd Logs to Run
      • GETGet Evaluation Stats
      • GETGet Logs for Evaluation
LogoLogo
Sign inBook a demo
APIEvaluations

Get Evaluation Stats

GET
https://api.humanloop.com/v5/evaluations/:id/stats
GET
/v5/evaluations/:id/stats
$curl https://api.humanloop.com/v5/evaluations/id/stats \
> -H "X-API-KEY: <apiKey>"
1{
2 "run_stats": [
3 {
4 "run_id": "run_id",
5 "num_logs": 1,
6 "evaluator_stats": [
7 {
8 "evaluator_version_id": "evaluator_version_id",
9 "total_logs": 1,
10 "num_judgments": 1,
11 "num_nulls": 1,
12 "num_errors": 1,
13 "mean": 0,
14 "sum": 0,
15 "std": 1,
16 "percentiles": {
17 "0": -2.5,
18 "25": -0.6745,
19 "50": 0,
20 "75": 0.6745,
21 "90": 1.5,
22 "95": 1.8,
23 "99": 2,
24 "100": 2.5,
25 "99.9": 2.2
26 }
27 }
28 ],
29 "status": "pending",
30 "version_id": "version_id",
31 "batch_id": "batch_id"
32 }
33 ],
34 "status": "pending",
35 "progress": "progress",
36 "report": "report"
37}

Get Evaluation Stats.

Retrieve aggregate stats for the specified Evaluation. This includes the number of generated Logs for each Run and the corresponding Evaluator statistics (such as the mean and percentiles).

Was this page helpful?
Previous

Get Logs for Evaluation

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluation.

Response

Successful Response
run_statslist of objects
Stats for each Run in the Evaluation.
statusenum
The current status of the Evaluation.
Allowed values:
progressstring

A summary string report of the Evaluation’s progress you can print to the command line;helpful when integrating Evaluations with CI/CD.

reportstring

A summary string report of the Evaluation you can print to command line;helpful when integrating Evaluations with CI/CD.

Errors

422
Get Stats Evaluations ID Stats Get Request Unprocessable Entity Error